package com.muyu.basic.handler;

import com.muyu.core.domain.DataValue;
import com.muyu.core.utils.Convert;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/29
 * @Description: 数据值作用域
 * @Version: 1.0
 */
public class DataEngineValueHandler {

    public static void set(DataValue dataValue){
        DataEngineHandler.set(dataValue);
    }

    public static DataValue get(){
        return DataEngineHandler.get();
    }

    public static void remove(){
        DataEngineHandler.remove();
    }

    public static Object getValue(){
        return get().getValue();
    }

    public static Integer getIntegerValue(){
        return Convert.toInt(getValue(), null);
    }
}
