package com.muyu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.controller.Student;
import com.muyu.domain.EngineType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.mapper
 * @Project：cloud-etl-engine
 * @name：TypeMapper
 * @Date：2024/8/23 22:36
 */
@Mapper
public interface TypseMapper extends BaseMapper<EngineType> {

    List<EngineType> list();

    Integer add(EngineType type);

    Integer update(EngineType type);

    Integer delete(@Param("id") Integer id);

    String selectByName(@Param("name") String name);

    List<Student> select();

    Student inserts(Student student);

    Student updates(Student student);

    Integer deletes(@Param("id") String id);
}
